/**
 * @ignore
 * base event object for custom and dom event.
 * @author yiminghe@gmail.com
 * @add https://github.com/yiminghe/add-dom-event-listener/blob/master/src/EventBaseObject.js
 */

function returnFalse() {
  return false;
}

function returnTrue() {
  return true;
}

function EventBaseObject() {
  this.timeStamp = Date.now();
  this.target = undefined;
  this.currentTarget = undefined;
}

EventBaseObject.prototype = {
  isEventObject: 1,

  constructor: EventBaseObject,

  isDefaultPrevented: returnFalse,

  isPropagationStopped: returnFalse,

  isImmediatePropagationStopped: returnFalse,

  preventDefault() {
    this.isDefaultPrevented = returnTrue;
  },

  stopPropagation() {
    this.isPropagationStopped = returnTrue;
  },

  stopImmediatePropagation() {
    this.isImmediatePropagationStopped = returnTrue;
    // fixed 1.2
    // call stopPropagation implicitly
    this.stopPropagation();
  },

  halt(immediate) {
    if (immediate) {
      this.stopImmediatePropagation();
    } else {
      this.stopPropagation();
    }
    this.preventDefault();
  }
};

export default EventBaseObject;